#!/bin/sh
# $1 = suffix
# $2 = stepsize
# $3 = minibatch size
# $4 = num epochs
# $5 = softmax dropout probability
# $6 = input-hidden dropout prob
# $7 = hidden-hidden dropout prob (only used if multiple layers used)
# $8 = update word vectors?
# $9 = word vectors, e.g., skip25
# $10 = algorithm (adadelta, sgd_momentum, adagrad)
# $11 = gradient norm threshold (<=0 to not use gradient scaling)
# $12 = number of forward LSTMs to use
# $13 = number of backward LSTMs to use
# $14 = number of forward GRUs to use
# $15 = number of backward GRUs to use
# $16 = forward SRUs
# $17 = backward SRUs
# $18 = decode_every_k
# $19 = dimensionality to map word vectors to
./run_lstmrnn \
train_file=data/senti.binary/senti.binary.train \
dev_file=data/senti.binary/senti.binary.dev \
test_file=data/senti.binary/senti.binary.test \
word_vector_file=data/wordvects.$9 \
forward_lstms=${12} \
backward_lstms=${13} \
forward_grus=${14} \
backward_grus=${15} \
forward_srus=${16} \
backward_srus=${17} \
algorithm=${10} \
stepsize=$2 \
minibatch_size=$3 \
num_epochs=$4 \
decode_every_k=${18} \
update_word_vectors=$8 \
init_word_vectors_randomly=false \
gradient_norm_threshold=${11} \
softmax_dropout_rate=$5 \
input_dropout_rate=$6 \
hidden_dropout_rate=$7 \
map_word_vectors_to_dim=${19} \
demo_mode=true \
2> regtest.sentibin.$9.${12}-${13}-${14}-${15}-${16}-${17}-dlstmgrusru.$1.stderr
